--What happens when the game loads. Currently not displaying the powerTypeString for some reason.
t = {[0] = "Mana", [1] = "Rage", [2] = "Focus", [3] = "Energy", [4] = "Happiness", [5] = "Runes", [6] = "Runic Power", [7] = "Soul Shards", [8] = "Eclipse", [9] = "Holy Power"};
function RageBar_OnLoad(self)
	self:RegisterEvent("UNIT_POWER");
	self:RegisterEvent("PLAYER_LOGIN");
end

--Handles the event fired whenever the players "power" changes
function RageBar_OnEvent(self, event, ...)
	if (event == "UNIT_POWER") then
		createBar();
	elseif (event == "PLAYER_LOGIN") then
		createBar();
	end
end
function createBar()
	power = UnitPower("player");
	--Only shows percentage if you are using mana, otherwise removes the % and shrinks the window slightly.
	if (UnitPowerType("player") == 0) then
		r = string.len(power);
		RossRageBarFrame:SetSize((r*7)+90, 27);
		RossRageBarFrameText:SetText(t[UnitPowerType("player")]..": "..power.." ("..floor((power/UnitPowerMax("player"))*100).."%)");
	else
		RossRageBarFrame:SetSize(90, 27);
		RossRageBarFrameText:SetText(t[UnitPowerType("player")]..": "..power);
	end
end

--Code to implement a tooltip, if I so desire later on.
function RageBar_ShowTooltip(self)
	GameTooltip:SetText("Shift+Click to move");
	GameTooltip:Show();
end